Bug 241114 - science/ncnn: enable Vulkan support
Summary: science/ncnn: enable Vulkan support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-10-07 12:58 UTC by Jan Beich
Modified: 2019-10-20 01:05 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
v0 (1.02 KB, patch)
2019-10-07 12:58 UTC, Jan Beich
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-10-07 12:58:22 UTC
Created attachment 208151 [details]
v0

See https://github.com/nihui/waifu2x-ncnn-vulkan/issues/5#issuecomment-480669056

$ make clean all -C /usr/ports/graphics/waifu2x-ncnn-vulkan
[...]
In file included from main.cpp:62:
./waifu2x.h:35:11: error: no type named 'Pipeline' in namespace 'ncnn'
    ncnn::Pipeline* waifu2x_preproc;
    ~~~~~~^
./waifu2x.h:36:11: error: no type named 'Pipeline' in namespace 'ncnn'
    ncnn::Pipeline* waifu2x_postproc;
    ~~~~~~^
main.cpp:510:11: error: no member named 'create_gpu_instance' in namespace 'ncnn'
    ncnn::create_gpu_instance();
    ~~~~~~^
main.cpp:516:27: error: no member named 'get_gpu_count' in namespace 'ncnn'; did you mean 'get_cpu_count'?
    int gpu_count = ncnn::get_gpu_count();
                    ~~~~~~^~~~~~~~~~~~~
                          get_cpu_count
/usr/local/include/ncnn/cpu.h:29:5: note: 'get_cpu_count' declared here
int get_cpu_count();
    ^
main.cpp:521:15: error: no member named 'destroy_gpu_instance' in namespace 'ncnn'
        ncnn::destroy_gpu_instance();
        ~~~~~~^
main.cpp:525:33: error: no member named 'get_gpu_info' in namespace 'ncnn'
    int gpu_queue_count = ncnn::get_gpu_info(gpuid).compute_queue_count;
                          ~~~~~~^
main.cpp:599:11: error: no member named 'destroy_gpu_instance' in namespace 'ncnn'
    ncnn::destroy_gpu_instance();
    ~~~~~~^
7 errors generated.
Comment 1 Jan Beich freebsd_committer 2019-10-07 13:07:29 UTC
v0 of the patch means I didn't have time to look at other CMake options that maybe worth to expose.
Comment 2 Jan Beich freebsd_committer 2019-10-19 22:31:21 UTC
Ping. I plan to land v0 per "maintainer timeout" on 2019-10-21.
Comment 3 Yuri Victorovich freebsd_committer 2019-10-19 22:35:33 UTC
Approved.

Sorry, I missed this one.
Comment 4 commit-hook freebsd_committer 2019-10-20 00:48:28 UTC
A commit references this bug:

Author: jbeich
Date: Sun Oct 20 00:48:11 UTC 2019
New revision: 514864
URL: https://svnweb.freebsd.org/changeset/ports/514864

Log:
  science/ncnn: enable Vulkan support

  Required by graphics/waifu2x-ncnn-vulkan

  PR:		241114
  Approved by:	yuri (maintainer)

Changes:
  head/graphics/waifu2x-ncnn-vulkan/Makefile
  head/science/ncnn/Makefile